/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.jonas.admin.autostart.vo.configuration {

import com.adobe.cairngorm.vo.IValueObject;


/**
 * Object that represent the JDBCConfigurationVO parameters.
 */
[Bindable]
public class JDBCConfigurationVO implements IValueObject {
    public var driverJarFile:String;
    public var driverName:String;
    public var dbmsName:String;
    public var rarName:String;
    public var rarLink:String;
    public var datasourceName:String;
    public var jndiName:String;
    public var dsClassName:String;
    public var dsMapper:String;
    public var dsUrl:String;
    public var dsUser:String;
    public var dsUserPasswd:String;
    public var advancedJDBCConfiguration:AdvancedJDBCConfigurationVO = new AdvancedJDBCConfigurationVO;

    public function JDBCConfigurationVO() {
    }
}
}
